package com.shenghua.config;

import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.ResourceHandlerRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

/**
 *
 */
@Configuration
public class WebConfiguration implements WebMvcConfigurer {

//    @Override
//public void addResourceHandlers(ResourceHandlerRegistry registry) {
//    // 新增对 /static/images/** 的支持
//        registry.addResourceHandler("/images/**")
//                .addResourceLocations("file:C:/upload/images/");
//
////    // 通用路径放最后
////    registry.addResourceHandler("/**")
////            .addResourceLocations("classpath:/static/");
//}

    @Override
    public void addResourceHandlers(ResourceHandlerRegistry registry) {
        // 新增对 本地映射,访问图片 的支持
        registry.addResourceHandler("/images/**")
                .addResourceLocations("file:C:/upload/images/");

        registry.addResourceHandler("/doc.html**")
                .addResourceLocations("classpath:/META-INF/resources/");

        registry.addResourceHandler("/webjars/**")
                .addResourceLocations("classpath:/META-INF/resources/webjars/");
    }

}
