package com.shenghua.entitys;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.sql.Timestamp;

@Data
@TableName("message_board")
@ApiModel("留言表")
public class MessageBoard {
    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "留言ID")
    private Integer id;

    @TableField("name")
    @ApiModelProperty(value = "姓名")
    private String name;

    @TableField("phone")
    @ApiModelProperty(value = "电话")
    private String phone;

    @TableField("region")
    @ApiModelProperty(value = "地区")
    private String region;

    @TableField("content")
    @ApiModelProperty(value = "留言内容")
    private String content;

    @TableField("create_time")
    @ApiModelProperty(value = "提交时间")
    private Timestamp createTime;
}
