package com.shenghua.entitys.home;


import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@TableName("dx_banner")
@Api(tags = "轮播图表")
public class Banner {

    private Integer id;

    @ApiModelProperty(value = "图片路径")
    private String image;

    @ApiModelProperty(value = "是否显示 1:显示 0:不显示")
    private Integer isDisplay;

    @ApiModelProperty(value = "分类ID")
    private Integer categoryId;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;
}


