package com.shenghua.entitys.product;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 产品图片实体类
 */
@Data
@ApiModel("产品图片")
@TableName("product_imgs")
public class ProductImg {

    @TableId(type = IdType.AUTO)
    @ApiModelProperty("主键ID")
    private Integer id;

    @TableField("product_id")
    @ApiModelProperty(value = "产品ID")
    private Integer productId;

    @ApiModelProperty("图片URL")
    private String url;

    @ApiModelProperty("图片排序号")
    private String sort;

    @ApiModelProperty("类型：1-产品图，2-规格参数图（详情）")
    private Integer type;

}
