package com.shenghua.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.shenghua.entitys.news.News;
import com.shenghua.vo.NewsDetailsVo;
import com.shenghua.vo.NewsVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;


public interface NewsMapper extends BaseMapper<News> {

    List<NewsVo> getAllNewsByCategoryId(@Param("categoryId")Integer categoryId, @Param("startNum")Integer startNum, @Param("pageSize")Integer pageSize);

    Integer getAllNewsCount(@Param("categoryId")Integer categoryId);

    News getNewsById(Integer id);

    NewsVo getQueryUpChapterId(Integer id,Integer categoryId);

    NewsVo getQueryDownChapterId(Integer id,Integer categoryId);

    List<NewsVo> getHomeNewsList();

    List<NewsVo> queryList(@Param("startNum")Integer startNum, @Param("pageSize")Integer pageSize,
                           @Param("categoryId")Integer categoryId);
}
