package com.shenghua.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.shenghua.dto.CaseArticleDTO;
import com.shenghua.entitys.CaseArticle;
import com.shenghua.entitys.CaseArticleCategory;
import com.shenghua.entitys.Page;
import com.shenghua.vo.CaseArticleVO;

import java.util.List;

public interface CaseArticleService extends IService<CaseArticle> {

    Page<List<CaseArticle>> queryPage(CaseArticleDTO dto);

    List<CaseArticleCategory> getCategory();

    List<CaseArticleVO> getAll();


    CaseArticleVO getNewsById(Integer id);
}
