package com.shenghua.convert;

import com.shenghua.entitys.news.News;
import com.shenghua.vo.NewsVo;


public class NewConvert {
    public static NewsVo convertVO(News news) {
        if (news == null) {
            return null;
        }

        NewsVo newsVo = new NewsVo();
        newsVo.setId(news.getId());
        newsVo.setCategoryId(news.getCategoryId());
        newsVo.setTitle(news.getTitle());
        newsVo.setCover(news.getCover());
        newsVo.setContent(news.getContent());
        newsVo.setSeoTitle(news.getSeoTitle());
        newsVo.setSeoKeywords(news.getSeoKeywords());
        newsVo.setSeoDescription(news.getSeoDescription());
        newsVo.setCreateTime(news.getCreateTime());

        return newsVo;
    }
}
