package com.shenghua.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.shenghua.dto.PageDto;
import com.shenghua.dto.ProductDTO;
import com.shenghua.entitys.Page;
import com.shenghua.entitys.product.Product;
import com.shenghua.entitys.product.ProductCategory;
import com.shenghua.vo.ProductVO;

import java.util.List;

public interface ProductService extends IService<Product> {

    ProductVO getDetail(Integer id);

    List<ProductVO> queryList(ProductDTO page);

    List<ProductCategory> queryCategory();

}
